Loading...
Searching...
No Matches
pw_node_events Struct Reference
Core API » Node

Node events. More...

`#include <pipewire/node.h>`

## Data Fields

uint32_t | version
void(* | info )(void *data, const struct pw_node_info *info)
| Notify node info.
void(* | param )(void *data, int seq, uint32_t id, uint32_t index, uint32_t next, const struct spa_pod *param)
| Notify a node param.

## Detailed Description

Node events.

## Field Documentation

## version

uint32_t pw_node_events::version

## info

void(* pw_node_events::info) (void *data, const struct pw_node_info *info)

Notify node info.

Parameters

  info | info about the node

## param

void(* pw_node_events::param) (void *data, int seq, uint32_t id, uint32_t index, uint32_t next, const struct spa_pod *param)

Notify a node param.

Event emitted as a result of the enum_params method.

Parameters

  seq | the sequence number of the request
  id | the param id
  index | the param index
  next | the param index of the next param
  param | the parameter

The documentation for this struct was generated from the following file:

- pipewire/node.h